package net.northking.cctp.scriptcase.dto.sceneScript;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;

@JsonSerialize
@ApiModel(description = "保存场景脚本")
public class AtuSaveSceneScriptDto implements Serializable {
    /**
     * 场景脚本ID<br>
     */
    @ApiModelProperty("场景脚本ID")
    @Size(max = 32, message="场景脚本ID-id: 数据长度不能 > 32" )
    private String id;
    /**
     * 场景脚本名称<br>
     */
    @ApiModelProperty("场景脚本名称")
    @Size(max = 30, message="场景脚本名称-sceneName: 数据长度不能 > 30" )
    private String sceneName;
    /**
     * 场景脚本地址<br>
     */
    @ApiModelProperty("场景脚本Json文件")
    private String scriptJson;
    /**
     * 场景脚本输入项数据存储的地址<br>
     */
    @ApiModelProperty("场景脚本输入项数据Json文件")
    private String dataJson;
    /**
     * 系统ID<br>
     */
    @ApiModelProperty("系统ID")
    @Size(max = 32, message="系统ID-projectId: 数据长度不能 > 32" )
    private String projectId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSceneName() {
        return sceneName;
    }

    public void setSceneName(String sceneName) {
        this.sceneName = sceneName;
    }

    public String getScriptJson() {
        return scriptJson;
    }

    public void setScriptJson(String scriptJson) {
        this.scriptJson = scriptJson;
    }

    public String getDataJson() {
        return dataJson;
    }

    public void setDataJson(String dataJson) {
        this.dataJson = dataJson;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }
}
